#
# Spec file for ocfs-tools
#

# Macros
# This one is hardcoded because, well, it belongs there
%define _prefix /usr
# Because RPM is dumb
%define _unpackaged_files_terminate_build 0
# Compile python
%define compile_py 1

Summary: Tools for managing the Oracle Cluster Filesystem 2
Name: ocfs2-tools
Version: 1.2.1
Release: 1.1AX
Copyright: GPL
Group: System Environment/Kernel
Source: ocfs2-tools-1.2.1.tar.gz
URL: http://oss.oracle.com/projects/ocfs2-tools/
Exclusiveos: Linux
Requires: coreutils, net-tools, modutils, e2fsprogs, chkconfig, glib2 >= 2.2.3
BuildRequires: e2fsprogs-devel, glib2-devel >= 2.2.3, pygtk2 >= 1.99.16, python-devel >= 2.3

BuildRoot: %{_tmppath}/ocfs2-tools-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}-root

%description
Tools to manage Oracle Cluster Filesystem 2 volumes.


%package -n ocfs2console
Summary: GUI frontend for OCFS2 management
Group: System Environment/Kernel
Requires: e2fsprogs, glib2 >= 2.2.3, vte >= 0.11.10, pygtk2 >= 1.99.16, python >= 2.3, ocfs2-tools = %{version}
AutoReqProv: No


%description -n ocfs2console
GUI frontend for management and debugging of Oracle Cluster Filesystem 2
volumes.


%prep
rm -rf $RPM_BUILD_ROOT/*
%setup -n ocfs2-tools-%{version}


%build
%configure --disable-debug --prefix=/usr --mandir=/usr/share/man
make


%install

mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp -f vendor/common/o2cb.init $RPM_BUILD_ROOT/etc/init.d/o2cb
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -f vendor/common/o2cb.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/o2cb

make DESTDIR="$RPM_BUILD_ROOT" install

%if %{compile_py}
%{__python} "%{_libdir}/python2.3/compileall.py" -q "$RPM_BUILD_ROOT/%{_libdir}/python2.3/site-packages/ocfs2interface"
%endif


%clean
rm -rf "$RPM_BUILD_ROOT"


%post
if [ $1 -eq 1 ] ; then
    chkconfig --add o2cb
fi


%preun
if [ $1 -eq 0 ] ; then
    /sbin/service o2cb stop > /dev/null 2>&1
    chkconfig --del o2cb
fi
exit 0


%files
%defattr(-,root,root)
%doc README.O2CB COPYING CREDITS MAINTAINERS
%doc documentation/users_guide.txt
/sbin/fsck.ocfs2
/sbin/mkfs.ocfs2
/sbin/mounted.ocfs2
/sbin/tunefs.ocfs2
/sbin/debugfs.ocfs2
/sbin/o2cb_ctl
/sbin/mount.ocfs2
/sbin/ocfs2cdsl
/sbin/ocfs2_hb_ctl
/etc/init.d/o2cb
/etc/sysconfig/o2cb
/usr/share/man/man8/debugfs.ocfs2.8.gz
/usr/share/man/man8/fsck.ocfs2.8.gz
/usr/share/man/man8/fsck.ocfs2.checks.8.gz
/usr/share/man/man8/mkfs.ocfs2.8.gz
/usr/share/man/man8/tunefs.ocfs2.8.gz
/usr/share/man/man8/mounted.ocfs2.8.gz
/usr/share/man/man8/o2cb_ctl.8.gz
/usr/share/man/man8/ocfs2_hb_ctl.8.gz
/usr/share/man/man8/ocfs2cdsl.8.gz


%files -n ocfs2console
%defattr(-,root,root)
%{_libdir}/python2.3/site-packages/ocfs2interface
/usr/sbin/ocfs2console
/usr/share/man/man8/ocfs2console.8.gz


%changelog
* Fri Aug  4 2006 Yuji Oishi <yoishi@miraclelinux.com> 1.2.1-1.1AX
- upgrade to 1.2.1

* Tue Apr 18 2006 Shiro Yamada <shiro@miraclelinux.com> 1.2.0-1.5AX
- fix it not to update chkconfig levels

* Wed Mar 29 2006 Shiro Yamada <shiro@miraclelinux.com> 1.2.0-1.4AX
- upgrade to 1.2.0

* Mon Mar 20 2006 Shiro Yamada <shiro@miraclelinux.com> 1.0.3-1.3AX
- upgrade to 1.0.3
- remove obsolete patches 1 and 2

* Wed Jul 27 2005 Lei Ming <ming.lei@asianux.com> 0.99.13-1.2AX
- Update to revision 982.
- Fix the OCFS2 can't auto-boot problem (Bug #883).

* Thu Jun 30 2005 Lei Ming <ming.lei@asianux.com>
- Import the ocfs2-tools revision 976 into Asianux 2.0.

* Thu Jan 27 2005 Manish Singh <manish.singh@oracle.com>
- Add ocfs2console

* Fri Jan 21 2005 Manish Singh <manish.singh@oracle.com>
- Initial rpm spec
